GWT 2.7.0

## com.google.gwt.core.linker
Class IFrameLinker

    java.lang.Object
      com.google.gwt.core.ext.Linker
          com.google.gwt.core.ext.linker.AbstractLinker
              com.google.gwt.core.ext.linker.impl.SelectionScriptLinker
                  com.google.gwt.core.linker.IFrameLinker

Deprecated. use `CrossSiteIframeLinker` instead.

    @LinkerOrder(value=PRIMARY)
    @Shardable
    @Deprecated
    public class IFrameLinker

extends com.google.gwt.core.ext.linker.impl.SelectionScriptLinker

Implements the canonical GWT bootstrap sequence that loads the GWT module in a separate iframe.

Field Summary
`(package private) static java.lang.String` | `SCRIPT_CHUNK_SEPARATOR` Deprecated. This string is inserted between script chunks.

Fields inherited from class com.google.gwt.core.ext.linker.impl.SelectionScriptLinker
`COMPUTE_SCRIPT_BASE_JS, FRAGMENT_EXTENSION, FRAGMENT_SUBDIR, permutationsUtil, PROCESS_METAS_JS, USE_SOURCE_MAPS_PROPERTY`

Constructor Summary
`IFrameLinker()` Deprecated.

Method Summary
`protected java.lang.String` | `getCompilationExtension(TreeLogger logger, LinkerContext context)` Deprecated.
`java.lang.String` | `getDescription()` Deprecated. Returns a human-readable String describing the Linker.
`protected java.lang.String` | `getHostedFilename()` Deprecated.
`protected java.lang.String` | `getModulePrefix(TreeLogger logger, LinkerContext context, java.lang.String strongName)` Deprecated.
`protected java.lang.String` | `getModulePrefix(TreeLogger logger, LinkerContext context, java.lang.String strongName, int numFragments)` Deprecated.
`protected java.lang.String` | `getModuleSuffix(TreeLogger logger, LinkerContext context)` Deprecated.
`protected java.lang.String` | `getScriptChunkSeparator(TreeLogger logger, LinkerContext context)` Deprecated.
`protected java.lang.String` | `getSelectionScriptTemplate(TreeLogger logger, LinkerContext context)` Deprecated.
`ArtifactSet` | `link(TreeLogger logger, LinkerContext context, ArtifactSet artifacts, boolean onePermutation)` Deprecated. This method is invoked for linkers annotated with `Shardable`.
`(package private) static void` | `maybeEmitDeprecationWarning(java.lang.String linkerName, TreeLogger logger, LinkerContext context)` Deprecated.
`protected java.lang.String` | `modifyPrimaryJavaScript(java.lang.String js)` Deprecated.

Methods inherited from class com.google.gwt.core.ext.linker.impl.SelectionScriptLinker

`charsPerChunk, doEmitCompilation, emitSelectionInformation, emitSelectionScript, fillSelectionScriptTemplate, generateDeferredFragment, generatePrimaryFragment, generatePrimaryFragmentString, generateSelectionScript, generateSelectionScript, getDeferredFragmentPrefix, getDeferredFragmentSuffix, getDeferredFragmentSuffix2, getFragmentSubdir, getModuleSuffix2, link, maybeAddHostedModeFile, maybeOutputPropertyMap, readFileToStringBuffer, replaceAll, splitPrimaryJavaScript, supportsDevModeInJunit, wrapDeferredFragment, wrapPrimaryFragment`

Methods inherited from class com.google.gwt.core.ext.linker.AbstractLinker
`emitBytes, emitBytes, emitInputStream, emitInputStream, emitString, emitString, emitWithStrongName, emitWithStrongName`

Methods inherited from class com.google.gwt.core.ext.Linker
`isShardable, relink`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### SCRIPT_CHUNK_SEPARATOR

    static final java.lang.String SCRIPT_CHUNK_SEPARATOR

  Deprecated.
  This string is inserted between script chunks. It is made default access for testing.

  See Also:
    Constant Field Values

Constructor Detail

### IFrameLinker

    public IFrameLinker()

  Deprecated.

Method Detail

### maybeEmitDeprecationWarning

    static void maybeEmitDeprecationWarning(java.lang.String linkerName,
                                            TreeLogger logger,
                                            LinkerContext context)

  Deprecated.

### getDescription

    public java.lang.String getDescription()

  Deprecated.
  Description copied from class: `Linker`
  Returns a human-readable String describing the Linker.

  Specified by:
    `getDescription` in class `Linker`

### link

    public ArtifactSet link(TreeLogger logger,
                            LinkerContext context,
                            ArtifactSet artifacts,
                            boolean onePermutation)
                     throws UnableToCompleteException

  Deprecated.
  Description copied from class: `Linker`

  This method is invoked for linkers annotated with `Shardable`. It is called at two points during compilation: after the compile of each permutation, and after all compilation has finished. The `onePermutation` is `true` for a per-permutation call and `false` for a global final-link call.

  For one-permutation calls, this method is passed all artifacts generated for just the one permutation. For the global call at the end of compilation, this method sees artifacts for the whole compilation, but with two modifications intended to support builds on computer clusters:

  1. All EmittedArtifacts have been converted to BinaryEmittedArtifacts
  2. All artifacts not marked as `Transferable` have been discarded.

  Overrides:
    `link` in class `com.google.gwt.core.ext.linker.impl.SelectionScriptLinker`
  Parameters:
    `logger` - the TreeLogger to record to
    `context` - provides access to the Linker's environment
    `artifacts` - an unmodifiable view of the artifacts to link
    `onePermutation` - true for a one-permutation call
  Returns:
    the artifacts that should be propagated through the linker chain
  Throws:
    `UnableToCompleteException` - if compilation violates assumptions made by the Linker or for errors encountered by the Linker

### getCompilationExtension

    protected java.lang.String getCompilationExtension(TreeLogger logger,
                                                       LinkerContext context)

  Deprecated.
  Specified by:
    `getCompilationExtension` in class `com.google.gwt.core.ext.linker.impl.SelectionScriptLinker`

### getHostedFilename

    protected java.lang.String getHostedFilename()

  Deprecated.
  Overrides:
    `getHostedFilename` in class `com.google.gwt.core.ext.linker.impl.SelectionScriptLinker`

### getModulePrefix

    protected java.lang.String getModulePrefix(TreeLogger logger,
                                               LinkerContext context,
                                               java.lang.String strongName)
                                        throws UnableToCompleteException

  Deprecated.
  Specified by:
    `getModulePrefix` in class `com.google.gwt.core.ext.linker.impl.SelectionScriptLinker`
  Throws:
    `UnableToCompleteException`

### getModulePrefix

    protected java.lang.String getModulePrefix(TreeLogger logger,
                                               LinkerContext context,
                                               java.lang.String strongName,
                                               int numFragments)
                                        throws UnableToCompleteException

  Deprecated.
  Overrides:
    `getModulePrefix` in class `com.google.gwt.core.ext.linker.impl.SelectionScriptLinker`
  Throws:
    `UnableToCompleteException`

### getModuleSuffix

    protected java.lang.String getModuleSuffix(TreeLogger logger,
                                               LinkerContext context)

  Deprecated.
  Overrides:
    `getModuleSuffix` in class `com.google.gwt.core.ext.linker.impl.SelectionScriptLinker`

### getScriptChunkSeparator

    protected java.lang.String getScriptChunkSeparator(TreeLogger logger,
                                                       LinkerContext context)

  Deprecated.
  Overrides:
    `getScriptChunkSeparator` in class `com.google.gwt.core.ext.linker.impl.SelectionScriptLinker`

### getSelectionScriptTemplate

    protected java.lang.String getSelectionScriptTemplate(TreeLogger logger,
                                                          LinkerContext context)

  Deprecated.
  Specified by:
    `getSelectionScriptTemplate` in class `com.google.gwt.core.ext.linker.impl.SelectionScriptLinker`

### modifyPrimaryJavaScript

    protected java.lang.String modifyPrimaryJavaScript(java.lang.String js)

  Deprecated.

GWT 2.7.0